# pcn visibility endpoints — NCM API

Beta. The reporting surface for Private Cellular Networks: core and radio metrics, core statuses, SIM metrics, SIM connectivity and SIM events, in one read-only group. Seven list endpoints, no writes. This is what you build PCN dashboards on; pcn management endpoints handles provisioning and configuration.

Base URL: https://api.cradlepointecm.com

### GET /api/v3/beta/private_cellular_core_metrics

List PCN Core Metrics

Return a list of private cellular core metric information

> **Beta:** This endpoint is served on a `/beta/` path. Beta endpoints are still evolving and may change without the stability guarantees of GA endpoints.

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| page[after] | query | string | no |  |
| page[before] | query | string | no |  |
| page[size] | query | integer | no |  |
| interval | query | array of string (hour | day) | yes | The hourly or daily data to return the results. |
| fields | query | array of string | no | Provide bits_downloaded, bits_uploaded, connected_clients, bearer_setup_successes, bearer_setup_failures, bearer_setup_requests, s1_setup_successes, s1_setup_failures, s1_setup_requests, attach_accepts, attach_rejects, attach_requests, control_plane_cpu, system_memory, auth_accepts, auth_rejects, auth_requests and auth_failures here to get it's value in the results. |
| filter[start_time] | query | string | no | The start time from which to return the results ie; 2023-07-14T10:16:19.000Z. |
| filter[end_time] | query | string | no | The end time from which to return the results ie; 2023-07-14T10:16:19.000Z. |
| filter[router] | query | integer | no | The router from which to return the results. |
| filter[routers] | query | string | no | The routers from which to return the results ie; 65348,34754. |

**Example request**

```bash
curl "https://api.cradlepointecm.com/api/v3/beta/private_cellular_core_metrics" \
  -H "Authorization: Bearer <token>"
```

**Response 200** — successful operation

**Response 403** — auth failure

### GET /api/v3/beta/private_cellular_core_statuses

List PCN Core statuses

Return a list of private cellular core status information

> **Beta:** This endpoint is served on a `/beta/` path. Beta endpoints are still evolving and may change without the stability guarantees of GA endpoints.

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| page[after] | query | string | no |  |
| page[before] | query | string | no |  |
| page[size] | query | integer | no |  |
| filter[start_time] | query | string | no | The start time from which to return the results ie; 2023-07-14T10:16:19.000Z. |
| filter[end_time] | query | string | no | The end time from which to return the results ie; 2023-07-14T10:16:19.000Z. |
| filter[router] | query | integer | yes | The router from which to return the results. |

**Example request**

```bash
curl "https://api.cradlepointecm.com/api/v3/beta/private_cellular_core_statuses" \
  -H "Authorization: Bearer <token>"
```

**Response 200** — successful operation

### GET /api/v3/beta/private_cellular_radio_metrics

List PCN Radio Metrics

Return a list of private cellular AP information

> **Beta:** This endpoint is served on a `/beta/` path. Beta endpoints are still evolving and may change without the stability guarantees of GA endpoints.

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| page[after] | query | string | no |  |
| page[before] | query | string | no |  |
| page[size] | query | integer | no |  |
| interval | query | array of string (hour | day) | yes | The hourly or daily data to return the results. |
| fields | query | array of string | no | Provide bits_downloaded, bits_uploaded, connection_requests, successful_connection_requests, failed_connection_requests, ho_successful, ho_failed, ho_requests, sas_register_success, sas_register_failed, sas_register_requests, sas_grant_success, sas_grant_failed, sas_grant_requests, cause_code, provisioned_cause_code here to get it's value in the results. |
| filter[start_time] | query | string | no | The start time from which to return the results ie; 2023-07-14T10:16:19.000Z. |
| filter[end_time] | query | string | no | The end time from which to return the results ie; 2023-07-14T10:16:19.000Z. |
| filter[cell] | query | string | no | The cell from which to return the results. |

**Example request**

```bash
curl "https://api.cradlepointecm.com/api/v3/beta/private_cellular_radio_metrics" \
  -H "Authorization: Bearer <token>"
```

**Response 200** — successful operation

### GET /api/v3/beta/private_cellular_sim_group_metrics

List PCN Sim Group Metrics

Return a list of private cellular sim group metric information

> **Beta:** This endpoint is served on a `/beta/` path. Beta endpoints are still evolving and may change without the stability guarantees of GA endpoints.

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| page[after] | query | string | no |  |
| page[before] | query | string | no |  |
| page[size] | query | integer | no |  |
| interval | query | array of string (hour | day) | yes | The hourly or daily data to return the results. |
| fields | query | array of string | no | Provide bits_downloaded, bits_uploaded and connected_clients here to get it's value in the results. |
| filter[start_time] | query | string | no | The start time from which to return the results ie; 2023-07-14T10:16:19.000Z. |
| filter[end_time] | query | string | no | The end time from which to return the results ie; 2023-07-14T10:16:19.000Z. |
| filter[network] | query | string | no | The network from which to return the results. |

**Example request**

```bash
curl "https://api.cradlepointecm.com/api/v3/beta/private_cellular_sim_group_metrics" \
  -H "Authorization: Bearer <token>"
```

**Response 200** — successful operation

**Response 403** — auth failure

### GET /api/v3/beta/private_cellular_sim_metrics

List PCN Sim Metrics

Return a list of private cellular sim metric information

> **Beta:** This endpoint is served on a `/beta/` path. Beta endpoints are still evolving and may change without the stability guarantees of GA endpoints.

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| page[after] | query | string | no |  |
| page[before] | query | string | no |  |
| page[size] | query | integer | no |  |
| interval | query | array of string (hour | day) | yes | The hourly or daily data to return the results. |
| fields | query | array of string | no | Provide bits_downloaded, bits_uploaded here to get it's value in the results. |
| filter[start_time] | query | string | no | The start time from which to return the results ie; 2023-07-14T10:16:19.000Z. |
| filter[end_time] | query | string | no | The end time from which to return the results ie; 2023-07-14T10:16:19.000Z. |
| filter[imsi_id] | query | string | no | The sim id from which to return the results. |

**Example request**

```bash
curl "https://api.cradlepointecm.com/api/v3/beta/private_cellular_sim_metrics" \
  -H "Authorization: Bearer <token>"
```

**Response 200** — successful operation

**Response 403** — auth failure

### GET /api/v3/beta/private_cellular_sim_connectivity_metrics

List PCN Sim Connectivity Metrics

Return a list of private cellular sim connectivity metric information

> **Beta:** This endpoint is served on a `/beta/` path. Beta endpoints are still evolving and may change without the stability guarantees of GA endpoints.

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| page[after] | query | string | no |  |
| page[before] | query | string | no |  |
| page[size] | query | integer | no |  |
| interval | query | array of string (hour | day) | yes | The hourly or daily data to return the results. |
| filter[start_time] | query | string | no | The start time from which to return the results ie; 2023-07-14T10:16:19.000Z. |
| filter[end_time] | query | string | no | The end time from which to return the results ie; 2023-07-14T10:16:19.000Z. |
| filter[imsi_id] | query | string | no | The sim id from which to return the results. |

**Example request**

```bash
curl "https://api.cradlepointecm.com/api/v3/beta/private_cellular_sim_connectivity_metrics" \
  -H "Authorization: Bearer <token>"
```

**Response 200** — successful operation

**Response 403** — auth failure

### GET /api/v3/beta/private_cellular_sim_events

List PCN Sim Events

Return a list of private cellular sim event information

> **Beta:** This endpoint is served on a `/beta/` path. Beta endpoints are still evolving and may change without the stability guarantees of GA endpoints.

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| page[after] | query | string | no |  |
| page[before] | query | string | no |  |
| page[size] | query | integer | no |  |
| filter[start_time] | query | string | no | The start time from which to return the results ie; 2023-07-14T10:16:19.000Z. |
| filter[end_time] | query | string | no | The end time from which to return the results ie; 2023-07-14T10:16:19.000Z. |
| filter[imsi_id] | query | string | no | The sim id from which to return the results. |

**Example request**

```bash
curl "https://api.cradlepointecm.com/api/v3/beta/private_cellular_sim_events" \
  -H "Authorization: Bearer <token>"
```

**Response 200** — successful operation

**Response 403** — auth failure
